Summary:	A X11 program for watching TV
Name:		xawtv
Version:	3.95
%define	rel     4
%define	release %mkrel %rel
%define mkrel_fixed(c:) %{-c: 0.%{-c*}.}%{!?_with_unstable:%(perl -e '$_="%{1}";m/(\\d+)$/;$rel=${1}-1;re;print "$rel";').%{?subrel:%subrel}%{!?subrel:1}.%{?distversion:%distversion}%{?!distversion:%(echo $[%{mdkversion}/10])}}%{?_with_unstable:%{1}}%{?distsuffix:%distsuffix}%{?!distsuffix:mdk}
Release:	%{release}
Source0:	%{name}-%{version}.tar.bz2
Source2:	%{name}
Patch0:		xawtv-3.84-fixes.patch.bz2
Patch1:		xawtv-3.74-ia64.patch.bz2
Patch10:	xawtv-3.94-gcc4.patch.bz2
Patch20:	xawtv-3.94-quicktime.patch.bz2
Patch21:	xawtv-3.95-xorg71.patch.bz2
Group:		Video
License:	GPL
#OLD_STILL_VALID_URLs: http://www.strusel007.de/linux/xawtv/
#http://bytesex.org/xawtv/
URL:		http://linux.bytesex.org/xawtv/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	MesaGLU-devel
BuildRequires:	aalib-devel
BuildRequires:	glibc => 2.3.1-4mdk
BuildRequires:	gpm-devel
BuildRequires:	lesstif-devel
BuildRequires:	alsa-lib-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libzvbi-devel >= 0.2.1
BuildRequires:	make => 3.79.1-11mdk
BuildRequires:	ncurses-devel
BuildRequires:	recode
BuildRequires:	slang-devel
BuildRequires:	xpm-devel
BuildRequires:	libxaw-devel
BuildRequires:	libx11-devel
BuildRequires:	libfs-devel
BuildRequires:	libxinerama-devel
BuildRequires:	libxv-devel
BuildRequires:	libxxf86dga-devel
BuildRequires:	libxrandr-devel
BuildRequires:	libdv-devel
BuildRequires:	liblirc-devel

Requires:	common-licenses
Requires:	xawtv-common = %version
Conflicts:	dynamic < 0.20-1mdk

%package	common
Summary:	Common files for fbtv/motv/ttv/xawtv
Group:		Video
Requires:	tv-fonts
Conflicts:	xawtv <= 3.74-3mdk

%package	control
Summary:	Control video4linux devices
Group:		Video

%package -n	fbtv
Summary:	A console program for watching TV
Group:		Video
Requires:	xawtv-common = %version

%package	misc
Summary:	Xawtv miscellous stuff
Group:		Video
Requires:	xawtv-common = %version

%package -n	radio
Summary:	Console radio application
Group:		Sound
Provides:	xawtv-radio
Obsoletes:	xawtv-radio

%package -n	streamer
Summary:	Record audio and/or video streams
Group:		Video
Requires:	xawtv-common = %version

%package -n	motv
Summary:	A Motif program for watching TV
Group:		Video
Requires:	xawtv-common = %version

%package -n	ttv
Summary:	Display TV/video on a tty
Group:		Video
Requires:	xawtv-common = %version

%package	web
Summary:	Videotext pages webserver & images capture/upload to a webserver
Group:		Networking/WWW
Requires:	xawtv-common = %version

%description
Xawtv is a Video4Linux Stream Capture Viewer, that is a X11 program for
watching TV.

It uses the Athena widgets.
MoTV has a nicer GUI which use lesstif (motif) widgets.

%description	common
These're common files for fbtv, motv, ttv and xawtv.
There're:
 * scantv: small text program that look for tv channels
 * streamer - capture tool (images / movies)

%description	control
Xawtv-remote and v4lctl can be used to control a video4linux driven TV card.

Xawtv-remote passes the command to a already running xawtv or motv instance
using X11 properties.

V4lctl is a command line tool that sets the parameters directly.

%description -n	fbtv
Fbtv is a program for watching TV with your linux box.
It runs on top of a graphic framebuffer device (/dev/fb0).

The pro is that you don't need X11 in order to watch tv.

fbtv shares the config file ($HOME/.xawtv) with the xawtv
application.

Check the xawtv(1) manpage for details about the config file format.


%description	misc
This package has a few tools you might find useful.  They
have not to do very much to do with xawtv.  I've used/wrote
them for debugging:
 * dump-mixers - dump mixer settings to stdout
 * propwatch   - monitors properties of X11 windows.  If you
                 want to know how to keep track of xawtv's
                 _XAWTV_STATION property, look at this.
 * mtt         - teletext browser for X11 and console
 * ntsc-cc     - reads vbi data from /dev/vbi and decodes the enclosed cc data.
 * pia         - play media files
 * record      - console sound recorder.  Has a simple input
                 level meter which might be useful to trouble
                 shoot sound problems.
 * showriff    - display the structure of RIFF files (avi, wav).


%description -n	motv
This is a motv-based Video4Linux capture viewer.

It is basically xawtv with a more userfriendly GUI.
It has the same features, uses the same config file, has the same command
line switches, you can control it using xawtv-remote.
Most keyboards shortcuts are identical too.

%description -n	radio
This is a ncurses-based radio application

%description -n	streamer
streamer reads audio and/or video data from /dev/video0 and /dev/dsp
and writes the data to the disk.
Various output formats are supported.
Start streamer with '-h' for a list of options and supported output formats.

%description -n	ttv
Ttv displays TV/video on a terminal, rendering the images using aalib.

%description	web
Webcam captures images from a video4linux device like bttv,
annotates them and and uploads them to a webserver using ftp
in a endless loop.

Alevtd is http daemon which serves videotext pages as HTML.
Tune in some station with a utility like v4lctl or some TV application.
Then start it and point your browser to http://localhost:5654/

Pages may be requested either in HTML format (http://localhost:5654/<page>/
or http://localhost:5654/<page>/<subpage>.html) or in ASCII text format
(http://localhost:5654/<page>/<subpage>.txt).
Subpage "00" can be used for pages without subpages.

%prep
%setup -q
%patch0 -p0
%patch1 -p1
%patch10 -p0
%patch20 -p0
%patch21 -p0
%build
%configure	--enable-xfree-ext \
		--enable-xvideo \
		--enable-aa \
		--enable-alsa \
                --disable-quicktime \
		--x-includes=%{_includedir}/freetype2

# Quicktime support not enabled, so libpng is not needed
find . -name 'Makefile' | xargs perl -pi -e 's/-lpng//g'
make

%install
rm -fr $RPM_BUILD_ROOT
perl -pi -e 's!-o root -g root!!g' src/Makefile
mkdir -p $RPM_BUILD_ROOT/usr/lib/X11/app-defaults
 %makeinstall_std ROOT="$RPM_BUILD_ROOT" FONTDIR=$RPM_BUILD_ROOT/%_libdir/X11/fonts/misc SUID_ROOT=""

install -m 644 x11/Xawtv.ad $RPM_BUILD_ROOT/usr/lib/X11/app-defaults
(cd $RPM_BUILD_ROOT/usr/lib/X11/app-defaults; ln Xawtv.ad Xawtv; ln Xawtv.ad Xawtv-color)

install -m 755 %SOURCE2 $RPM_BUILD_ROOT/%_bindir/XawTV

# Menu entries
mkdir -p $RPM_BUILD_ROOT/%_menudir

cat > $RPM_BUILD_ROOT%_menudir/motv <<EOF
?package(motv): command="motv" icon="video_section.png" section="Multimedia/Video" \
title="MoTV" longtitle="A program for watching TV" \
needs="x11" xdg="true"
EOF
cat > $RPM_BUILD_ROOT%_menudir/xawtv <<EOF
?package(xawtv): command="XawTV" icon="video_section.png" section="Multimedia/Video" \
title="XawTV" longtitle="The X11 Video4Linux Stream Capture Viewer" \
needs="x11" xdg="true"
EOF

# dynamic desktop support
%define webcam_launcher /etc/dynamic/launchers/webcam
%define tvtuner_launcher /etc/dynamic/launchers/tvtuner

mkdir -p $RPM_BUILD_ROOT{%tvtuner_launcher,%webcam_launcher}
cat > $RPM_BUILD_ROOT%webcam_launcher/%name.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=XawTV \$devicename
Comment=The X11 Video4Linux Stream Capture Viewer
TryExec=/usr/bin/xawtv
Exec=/usr/bin/xawtv -c \$device
Terminal=false
Icon=video_section.png
Type=Application
EOF
cat > $RPM_BUILD_ROOT%tvtuner_launcher/%name.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=XawTV \$devicename
Comment=The X11 Video4Linux Stream Capture Viewer
TryExec=/usr/bin/XawTV
Exec=/usr/bin/XawTV -c \$device
Terminal=false
Icon=video_section.png
Type=Application
EOF


%post
update-alternatives --install %webcam_launcher/gnome.desktop webcam.gnome.dynamic %webcam_launcher/%name.desktop 20
update-alternatives --install %webcam_launcher/kde.desktop webcam.kde.dynamic %webcam_launcher/%name.desktop 20
update-alternatives --install %tvtuner_launcher/kde.desktop tvtuner.kde.dynamic %tvtuner_launcher/%name.desktop 20
update-alternatives --install %tvtuner_launcher/gnome.desktop tvtuner.gnome.dynamic %tvtuner_launcher/%name.desktop 20
%update_menus

%postun
if [ $1 = 0 ]; then
  update-alternatives --remove webcam.kde.dynamic %webcam_launcher/%name.desktop
  update-alternatives --remove webcam.gnome.dynamic %webcam_launcher/%name.desktop
  update-alternatives --remove tvtuner.kde.dynamic %tvtuner_launcher/%name.desktop
  update-alternatives --remove tvtuner.gnome.dynamic %tvtuner_launcher/%name.desktop
fi

%clean_menus

%post -n motv
%update_menus

%postun -n motv
%clean_menus 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config(noreplace) %tvtuner_launcher/%name.desktop
%config(noreplace) %webcam_launcher/%name.desktop
%config(noreplace) %_sysconfdir/X11/app-defaults/Xawtv
%_bindir/xawtv
%_bindir/XawTV
%_mandir/man1/xawtv.1*
%_mandir/fr/man1/xawtv.1*
%_menudir/xawtv
/usr/lib/X11/app-defaults/Xawtv*
%_datadir/%name

%files common
%attr(4711,root,root) %_bindir/v4l-conf
%defattr(-,root,root)
%_bindir/rootv
%_bindir/scantv
%_bindir/subtitles 
%_bindir/v4l-info
%lang(es) %_mandir/es/man1/rootv.*
%lang(es) %_mandir/es/man1/scantv.*
%lang(es) %_mandir/es/man1/subtitles.*
%lang(es) %_mandir/es/man1/xawtv.*
%lang(es) %_mandir/es/man5/xawtvrc.*
%lang(es) %_mandir/es/man8/v4l-conf.*
%_mandir/man1/rootv.1*
%_mandir/man1/scantv.1*
%_mandir/man1/subtitles*
%_mandir/man5/xawtvrc*
%_mandir/man8/v4l*
%_mandir/man1/v4l-info.*
%dir %_libdir/%name
%_libdir/%name/*
%doc Changes README*
%doc README*
%doc contrib/frequencies*

%files control
%defattr(-,root,root)
%_bindir/v4lctl
%_bindir/xawtv-remote
%_mandir/man1/v4lctl.1*
%lang(es) %_mandir/es/man1/v4lctl.*
%_mandir/man1/xawtv-remote.1*
%lang(es) %_mandir/es/man1/xawtv-remote.*

%files -n fbtv
%defattr(-,root,root)
%_bindir/fbtv
%_mandir/man1/fbtv*
%lang(es) %_mandir/es/man?/fbtv.*

%files misc
%defattr(-,root,root)
%config(noreplace) /etc/X11/app-defaults/mtt
%_bindir/dump-mixers
%_bindir/mtt
%_bindir/ntsc-cc
%_bindir/pia
%_bindir/propwatch
%_bindir/record
%_bindir/showqt
%_bindir/showriff
%_mandir/man1/dump-mixers*
%_mandir/man1/mtt*
%_mandir/man1/ntsc*
%_mandir/man1/pia*
%_mandir/man1/record*
%_mandir/man1/propwatch*
%_mandir/man1/showriff.1*

%files -n motv
%defattr(-,root,root)
%_bindir/motv
%_mandir/man1/motv*
%_menudir/motv
%config(noreplace) %_sysconfdir/X11/app-defaults/MoTV
%config(noreplace) %_sysconfdir/X11/de_DE.UTF-8/app-defaults/MoTV
%config(noreplace) %_sysconfdir/X11/de/app-defaults/MoTV
%config(noreplace) %_sysconfdir/X11/fr/app-defaults/MoTV
%config(noreplace) %_sysconfdir/X11/it/app-defaults/MoTV

%files -n radio
%defattr(-,root,root)
%_bindir/radio
%_mandir/man1/radio*

%files -n streamer
%defattr(-,root,root)
%_bindir/streamer
%_mandir/man1/streamer*
%lang(es) %_mandir/es/man1/streamer.*

%files -n ttv
%defattr(-,root,root)
%_bindir/ttv
%_mandir/man1/ttv*
%lang(es) %_mandir/es/man1/ttv.*

%files web
%defattr(-,root,root)
%_bindir/alevtd
%_bindir/webcam
%_mandir/man1/alevtd.1*
%_mandir/man1/webcam.1*

%changelog
* Wed Sep 20 2006 Thierry Vignaud <tvignaud@mandriva.com> 3.95-4mdv2007.0
- rebuild for new ncurses

* Fri Aug 18 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 3.95-3
- add BuildRequires: libfs-devel libxinerama-devel libxv-devel
                     libxxf86dga-devel libxrandr-devel libdv-devel
                     liblirc-devel

* Tue Aug 15 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 3.95-2
- rebuild for fixed libxaw soname

* Mon Jul 31 2006 Jerome Soyer <saispo@mandriva.org> 3.95-1mdv2007.0

Cris B <crisb AT beebgames DOT com> 3.95-1
- New version
- Patch for Xorg7.1 lib location
- Disable quicktime (no longer builds)
- Spec update (drop unused xaw3d flag, hard coded requires, XFree stuff)

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 3.94-4mdk
- Rebuild

* Sun Jul 31 2005 Guillaume Bedot <littletux@mandriva.org> 3.94-3mdk
- fix table sizes in Patch10 (thanks to Gwenole Beauschene)
- url fix
- use mkrel

* Sun Jul 31 2005 Guillaume Bedot <littletux@mandriva.org> 3.94-2mdk
- rebuild
- Patch10: allows to build with gcc4
- Patch20: fixes libquicktime headers 

* Fri Nov 12 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.94-1mdk
- 3.94
- cosmetics

* Fri Sep 10 2004 Frederic Lepied <flepied@mandrakesoft.com> 3.93-3mdk
- fix device name use with dynamic entries

* Fri Jul 23 2004 Marcel Pol <mpol@mandrake.org> 3.93-2mdk
- build against new slang

* Mon Jun 14 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.93-1mdk
- 3.93
- work around problem with broken path in xft.pc
- cosmetics

* Mon Apr 05 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.91-3mdk
- relink with libdv4

* Sat Mar 20 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.91-2mdk
- fix requires (#7882)

* Tue Feb 03 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.91-1mdk
- new release

* Fri Nov 07 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.90-1mdk
- new release

* Thu Sep 04 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.88-4mdk
- fix buildrequires for 64bit ports

* Wed Aug 27 2003 Fredeirc Crozat <fcrozat@mandrakesoft.com> 3.88-3mdk
- Fix dynamic desktop icons

* Tue May 27 2003 David BAUDENS <baudens@mandrakesoft.com> 3.88-2mdk
- Fix icons in menu entries

* Tue Apr 22 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.88-1mdk
- new release

* Mon Apr 07 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.86-1mdk
- new release

* Tue Feb 11 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.85-1mdk
- new release

* Mon Feb 10 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.84-1mdk
- new release
- rediff patch0 (partially merged)

* Wed Jan 22 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.83-1mdk
- new release

* Thu Jan 02 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.82-1mdk
- new release

* Tue Dec 31 2002 Stefan van der Eijk <stefan@eijk.nu> 3.81-3mdk
- BuildRequires: recode

* Fri Dec 20 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.81-2mdk
- rebuild for new glibc (previous ones mistakely introduce bas symbols)

* Wed Dec 11 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.81-1mdk
- new release :
  o compile fixes
  o fixed some core dumps (freqtab changes init bugs in fbtv + ttv)
  o new config option for webcam (times=, much like once)
  o various bugfixes
  o more v4l2 fixes
  o some infrastructure for dumping structs.  Used that for
    completely rewritten debug output of the video4linux plugins
  o new "v4l-info" utility which uses this
  o frequency tables are stored into config files rather that being
    compiled-in
  o added "group = " tag to channels, thus enbling motv to build submenus
    per group
- BuildRequires:  glibc => 2.3.1-3mdk
- remove deprecated doc
- remove patch 2 (merged upstream)
- remove patch 3 (uneeded anymore since glibc-2.3.1-3mdk)
- add showqt utility (dumps structure of QuickTime files)

* Wed Oct 30 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.78-1mdk
- new release (alsa mixer plugin ...)
- patch 3 : fix compilation since we already have videodev2.h

* Thu Oct 10 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.76-6mdk
- Requires: make >= 3.79.1-11mdk that fix xawtv compilation
- BuildRequires: libMesaGLU1-devel
- Programming-FAQ isn't there anymore

* Wed Sep 04 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.76-5mdk
- move spanish streamer, fbtv, ttv, v4lctl, xawtv-remote and xawtv-remote
  man-pages to the right packages

* Sat Aug 17 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.76-4mdk
- xawtv-common conflicts with xawtv <= 3.74-3mdk to ease update from mdk8.2

* Tue Aug 13 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.76-3mdk
- swap tvtuner and webcam dynamic scripts

* Tue Aug 13 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.76-2mdk
- add french app-default for motv
- dynamic support:
	o split entry into a webcam entry and a tv tuner entry;
	o the tv tuner entry run the channels scanning wizard
- requires newer dynamic
- add pia and mtt in xawtv-misc

* Tue Aug 13 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.76-1mdk
- new release :
  o reorganize screen blitting code (used for grabdisplay)
  o add OpenGL support (for hw-scaled RGB-images through gl-textures).
  o libng got support for reading movie files.  Added libquicktime
    interface and AVI file parser.
  o start writing a playback utility (debug/play.c for now ...), should
	be able to playback all AVI/QuickTime movies recorded by xawtv/streamer.
	Other QuickTime files should work too as long as the codec is supported by
	libquicktime.
  o add Australian Optus cable TV channels
  o add icons 
  o some A/V sync tweaks for the recording code.
  o fix lens distortion for webcam
 
- for webcam, scantv'ill fail since there's no channel => stop "always run
  channels wizard and fail"

* Mon Jun 24 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.75-1mdk
- disable broken parallel build
- requires libzvbi splitted from zapping instead of builtin libvbi,
  thus saving 10 % of xawtv package size
- remove fonts from xawtv-common (they've been splitted from xawtv
  to tv-fonts)
- xawtv-common requires tv-fonts now
- new release :
	* fixed fullscreen code
	* webcam has a new option (wait=, see manpage)
	* selection / dnd / cut+paste fixes
	* french translation
	* webcam: support multiple ftp connections
	* webcam: config options for text color
	* lots of VBI changes: dropped libvbi directory, using
	  libzvbi instead
	* unbundled the fonts, there is another tarball with     
	  all the fonts now.

* Tue Jun 18 2002 Stefan van der Eijk <stefan@eijk.nu> 3.74-7mdk
- BuildRequires

* Wed May 22 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.74-6mdk
- rebuild against new aalib-progs to get rid of stupid /usr/lib rpath

* Tue May 14 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.74-5mdk
- gcc-3.1 build release

* Thu Apr 25 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.74-4mdk
- fix build on ia64

* Thu Apr 18 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.74-3mdk
- "reduce xawtv package size" release:
- move xawtv-remote and v4lctl to xawtv-control
- rename xawtv-radio into radio
- rmove motv(1) from xawtv which would have conflicts with motv
- put webcam and alevtd in xawtv-web
- move ntsc-cc to xawtv-misc
- better summaries and description
- especially, describe all provided binaries
- move dump-mixers to xawtv-misc as described by our doc
- add fbtv & motv menu entry
- split out fbtv, streamer and ttv in their own package, thus resulting in
  a smaller xawtv
- common files go to xawtv-common
- add spanish xawtvrc(5) man page

* Tue Apr 16 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.74-2mdk
- remove uneded rm from %prep
- spec cleanups
- remove patch1 which isn't needed anymore since configure checks for
  both libXdpms and libXext
- re-enable alsa
- minor fixes [Patch0]
- put big icons (not normal one) in %%_liconsdir
- remove uneeded prefix

* Fri Apr 12 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.74-1mdk
- new release
- parallel build
- BuildRequires:  libalsa-devel
- build motv too
- disable alsa support for now until new alsa-0.9.x headers get out
- remove uneeded stuff:
	- manual installation of binaries
- s!font/!fonts/!
- Xawtv.ad is in x11 now, not anymore in src
- enable lesstif support and add motv sub package
- add spanish man pages
- add app-default config files

* Thu Mar 21 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.73-2mdk
- from "popular" request, remove my example config file which dated
  from the ages when men were men and manually wrote their own config
  files :-)

* Wed Mar 20 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.73-1mdk
- new release

* Thu Feb 21 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.72-1mdk
- core:
	* update (bug fixes)
- wrapper:
	* workaround for fscking dams (who moved drakxtv around path)
	* configurator fallback : drakxtv  ->  rxtv -e scantv  ->  scantv

* Thu Feb 14 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.71-1mdk
- new release

* Wed Feb 06 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.70-1mdk
- new release

* Thu Jan 31 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.69-1mdk
- new release

* Tue Jan 29 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.68-4mdk
- xpm to png icons conversion

* Sun Jan 20 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.68-3mdk
- fix scan4tv_channels script on first run (should do this in drakfirstime)

* Sun Jan 20 2002 Stefan van der Eijk <stefan@eijk.nu> 3.68-2mdk
- BuildRequires

* Sun Jan 20 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.68-1mdk
- new release

* Tue Jan 15 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.66-2mdk
- build against latest libXxf86dga

* Wed Jan 09 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.66-1mdk
- new release
- fix for compilation with libaa support despite aalib-config absence
- add plugins

* Tue Dec 04 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.65-1mdk
- new release

* Sun Oct 21 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.64-1mdk
- new release

* Tue Oct 16 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.62-3mdk
- rebuild for new libpng

* Tue Oct 09 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.62-2mdk
- compress patches

* Wed Oct 03 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.62-1mdk
- new release

* Tue Sep 25 2001 Frederic Lepied <flepied@mandrakesoft.com> 3.60-5mdk
- pass the -c option in the dynamic entry.

* Fri Sep 14 2001 Frederic Lepied <flepied@mandrakesoft.com> 3.60-4mdk
- correct XawTV script to pass args and save the config file.

* Wed Sep 12 2001 Frederic Lepied <flepied@mandrakesoft.com> 3.60-3mdk
- added dynamic desktop entry

* Thu Aug 30 2001 David BAUDENS <baudens@mandrakesoft.com> 3.60-2mdk
- Use new icons
- Add missing files
- Fix %%post and %%postun to restart xfs nicely

* Thu Aug 16 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.60-1mdk
- new release

* Tue Aug 14 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.59-1mdk
- new release
- make %%install be short-circuit "aware"
- workaround broken configure & Makefile for install
- fix scantv (the -o option seems to have disappear)

* Tue Jul 24 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.57-1mdk
- new release

* Tue Jul 17 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.56-1mdk
- new release

* Thu Jul 12 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.55-3mdk
- add a big icon

* Fri Jul 06 2001 Stefan van der Eijk <stefan@eijk.nu> 3.55-2mdk
- BuildRequires: aalib-devel
- BuildRequires: lesstif-devel
- bzipped patches

* Thu Jul 05 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.55-1mdk
- new release

* Mon Jul 02 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.54-1mdk
- new release
- SMP build is broken

* Tue Jun 19 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.52-1mdk
- new release
- add new programs

* Tue Jun 12 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.51-1mdk
- new version
- better scritps (url khassanov) : check if xfs runs before reloading it
- make a mini icon from the default one

* Wed Jun 06 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.50-1mdk
- new version
- improved scripts (one can use xawtv on fb console)

* Tue Jun 05 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.49-3mdk
- really add icon

* Thu May 31 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.49-1mdk
- new version

* Wed May 30 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.48-2mdk
- various spec cleaning
- restart xfs for xawtv fonts

* Tue May 22 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.48-1mdk
- new version

* Thu May 17 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.47-1mdk
- new version

* Mon May 07 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.46-1mdk
- new release

* Thu Apr 12 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.43-2mdk
- Various fixes from Abel Cheung <maddog@linuxhall.org>:
  - Modify BuildRequires.
  - Remove redundant manpages in xawtv-radio and corrected manpage placement.
  - $DISPLAY is checked before running xset during %%post.
  - Remove redundant configure option.
  - Remove unnecessary libpng dependence.
  
* Tue Apr 10 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.43-1mdk
- new version

* Mon Mar 26 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.41-1mdk
- new version

* Thu Mar 22 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.40-2mdk
- add icon in package

* Tue Mar 20 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.40-1mdk
- new release

* Thu Mar 15 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.38-4mdk
- last fix

* Wed Mar 14 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.38-3mdk
- minor fix

* Wed Mar 14 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.38-2mdk
- add wrapper to run scantv if not configured.

* Mon Mar 12 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.38-1mdk
- new version

* Thu Mar 01 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.37-1mdk
- new release

* Mon Feb 26 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.36-1mdk
- new release

* Sat Feb 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.35-1mdk
- Up to 3.35.

* Mon Feb 12 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.34-1mdk
- New and shiny release for general consumption.

* Tue Jan 30 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.30-1mdk
- new release

* Wed Jan 10 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.28-1mdk
-  new version

* Sun Dec 31 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.27-1mdk
- new and shiny source.
- remove .bz2 extension for man-pages and change it to wildcard.

* Tue Nov 21 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.24-1mdk
- new release
- make rpmlint happier

* Fri Oct 27 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.23-1mdk
- new release

* Tue Oct 17 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.22-1mdk
- new release

* Tue Oct 03 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.21-3mdk
- enable DPMS
- fix buildrequires
- disable mouse pointer on v4l buffer
- provide example config file for Paris inhabitants
- add alevtd, rootv, scantv and webcam

* Mon Sep 18 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.21-2mdk
- fix menu entry

* Wed Sep 13 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.21-1mdk
- new release

* Wed Sep 13 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.20-3mdk
- really fix ressources (i know, i've sucked :-( )
- add a menu entry

* Tue Sep 12 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.20-2mdk
- fix ressources
- spec file is now shrt-crct compliant :-)

* Wed Sep 06 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.20-1mdk
- new release

* Wed Aug 23 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.19-1mdk
- new release

* Tue Aug 22 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.18-1mdk
- fix url
- new release
- compile for XF4 (if you load v4l in module section of /etc/X11/XFconfig-4,
  you can do color conversion and image scaling in hardware on g200/g400
  with hackkernel).

* Wed Jul 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.17-3mdk
- BM
- fix build as non-root

* Mon Jul 17 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.17-2mdk
- little spec cleaning

* Tue Jun 27 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.17-1mdk
- new release
- package chmouelization :
	* use %%{_mandir}, %%{_prefix}
	* use spechelper
	* use %%makeinstall, %%configure

* Mon Jun 19 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.16-1mdk
- new release (mainly a smaller SRPM)

* Thu Jun 08 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.15-1mdk
- new release

* Tue Apr 18 2000 J. Nick Koston <bdraco@darkorb.net> 3.12-1mdk
- Madrakeified

